Bug 245000 - official adobe flash repo: UGH!
official adobe flash repo: UGH!
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: 247547 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-06-20 10:17 EDT by Need Real Name
Modified: 2014-01-21 17:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-20 10:20:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-06-20 10:17:28 EDT
Note: I know this isn't a yum bug, but since it's very likely that the yum
people will be interested in this, and even that they helped adobe with the
initial setup, am posting this here.

Adobe now has a yum repo for their flash plugin.

yum install flash-plugin does the following:

* Good stuff
+ Installs the flash plugin .so file

* Bad stuff
- Touches a home directory (writes a file to /root/)
- Removes existing files - even though they are not owned by an rpm package
- Gives users information they will not see

Files belonging to older Flash plugins have been removed from the filesystem. 
For your safety these files have been saved in /root/oldflashplugins.tar.gz. 
You may remove this tarball if these files are no longer required."
Comment 1 Seth Vidal 2007-06-20 10:20:12 EDT
the yum command is doing none of that and we didn't help adobe set up their repo.

yum is just installing the rpm. The scriptlets in the rpm are doing all of the
good and bad stuff. You need to report this to adobe.
Comment 2 Jeremy Katz 2007-07-16 14:33:08 EDT
*** Bug 247547 has been marked as a duplicate of this bug. ***
Comment 3 Need Real Name 2007-07-16 14:50:24 EDT
>  we didn't help adobe set up their repo.

$ rpm -q --changelog flash-plugin|grep redhat
* Mit Dez 13 2006 Warren Togami <wtogami@redhat.com>
* Son Nov 12 2006 Warren Togami <wtogami@redhat.com>


Note You need to log in before you can comment on or make changes to this bug.